Subject: [bug#60358] [PATCH] gnu: Add gnulib.

From: Simon Josefsson <[email-masked]>
Date: Tue, 27 Dec 2022 19:44:16 +0100

Hi.  Many packages needs a specific checkout of gnulib to work reliably,
via --gnulib-refdir= (rather than --gnulib-srcdir=), would you consider
installing the entire gnulib git archive instead of just the latest
checkout?  Since so many packages these days require different versions
of gnulib, it may make sense to mak the gnulib git archive available as
an installed Guix package, so that other packages may bootstrap build
from it and get the intended gnulib git checkout.

If a checked out gnulib git archive is available as a Guix package,
other packages could build-depend on it and use both --gnulib-refdir and
--gnulib-srcdir.  If I understand your approach now, only
--gnulib-srcdir is possible.

You could put the git archive under /share/gnulib-git or merely
/share/gnulib/ and set both GNULIB_REFDIR and GNULIB_SRCDIR.

/Simon